Package: grails.doc.gradle

## [Groovy] Class PublishPdf

- grails.doc.gradle.PublishPdf

-     class PublishPdf
      extends DefaultTask

  Gradle task for generating a gdoc-based PDF user guide. Assumes the single page HTML user guide has already been created in the default location.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `language` |
    `private java.io.File` | `outputDirectory` |
    `private java.lang.String` | `pdfName` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `language`
    `java.io.File` | `outputDirectory`
    `java.lang.String` | `pdfName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PublishPdf ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `publish()`

- - ### Field Detail

    - #### @org.gradle.api.tasks.Input private java.lang.String language

    - #### @OutputDirectory private java.io.File outputDirectory

    - #### @org.gradle.api.tasks.Input private java.lang.String pdfName

  - ### Property Detail

    - #### @org.gradle.api.tasks.Input java.lang.String language

    - #### @OutputDirectory java.io.File outputDirectory

    - #### @org.gradle.api.tasks.Input java.lang.String pdfName

  - ### Constructor Detail

    - #### PublishPdf()

  - ### Method Detail

    - #### @org.gradle.api.tasks.TaskAction java.lang.Object publish()